Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.event
Interface NamingListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  NamespaceChangeListener, ObjectChangeListener, UnsolicitedNotificationListener

public interface NamingListener
extends EventListener

This interface is the root of listener interfaces that handle `NamingEvent`s. It does not make sense for a listener to implement just this interface. A listener typically implements a subinterface of `NamingListener`, such as `ObjectChangeListener` or `NamespaceChangeListener`.

This interface contains a single method, `namingExceptionThrown()`, that must be implemented so that the listener can be notified of exceptions that are thrown (by the service provider) while gathering information about the events that they're interested in. When this method is invoked, the listener has been automatically deregistered from the `EventContext` with which it has registered.

For example, suppose a listener implements `ObjectChangeListener` and registers with a `EventContext`. Then, if the connection to the server is subsequently broken, the listener will receive a `NamingExceptionEvent` and may take some corrective action, such as notifying the user of the application.

Since:
  1.3
See Also:
  `NamingEvent`, `NamingExceptionEvent`, `EventContext`, `EventDirContext`

Method Summary
`void` | `namingExceptionThrown(NamingExceptionEvent evt)` Called when a naming exception is thrown while attempting to fire a `NamingEvent`.

Method Detail

### namingExceptionThrown

    public void namingExceptionThrown(NamingExceptionEvent evt)

  Called when a naming exception is thrown while attempting to fire a `NamingEvent`.
  Parameters:
    `evt` - The nonnull event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.